=== debian/control ===
Source: mtn
Section: utils
Priority: optional
Maintainer: wahibre <wahibre@gmx.com>
Build-Depends: debhelper(>=10),
               lsb-release,
               libgd-dev,
               libavutil-dev,
               libavcodec-dev,
               libavformat-dev,
               libavfilter-dev,
               libswscale-dev
Standards-Version: 4.1.2
Homepage: https://gitlab.com/movie_thumbnailer/mtn/wikis
Vcs-Bzr: lp:wahibre/mtn
Vcs-Browser: https://launchpad.net/~wahibre/+archive/ubuntu/mtn

Package: mtn
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends},
         fontconfig,
         fonts-dejavu-core
Suggests: mtn-bash-completion,
          mtn-zsh-completion
Description: Movie Thumbnailer - screens generator
 Movie Thumbnailer (mtn) saves thumbnails (screenshots) of movie or 
 video files to jpeg files. It uses FFmpeg's libavcodec as its engine, 
 so it supports all popular codecs.

Package: mtn-bash-completion
Architecture: any
Depends: mtn (>=3.4.0),
         bash-completion,
         fontconfig
Description: bash completion for Movie Thumbnailer - screens generator
 This package contains file for bash competions.

Package: mtn-zsh-completion
Architecture: any
Depends: mtn (>=3.4.0),
         zsh-common,
         fontconfig
Description: zsh completion for Movie Thumbnailer - screens generator
 This package contains file for zsh competions.
